array.h File Reference
`#include <utl/core/impl.h>`
`#include <algorithm>`

Go to the source code of this file.

## Classes

struct | utl::array_traits< _Tp, _Nm >
| array container traits helper More...
struct | utl::array_traits< _Tp, 0 >
struct | utl::array_traits< _Tp, 0 >::type
struct | utl::array< _Tp, _Nm >
| A standard container for storing a fixed size sequence of elements. More...

## Namespaces

| utl
| STL's core language concepts.

## Functions

template<typename _Tp , size_t _Nm>
void | utl::swap (array< _Tp, _Nm > &lhs, array< _Tp, _Nm > &rhs) noexcept(noexcept(lhs.swap(rhs)))
template<size_t _Int, typename _Tp , size_t _Nm>
constexpr _Tp & | utl::get (array< _Tp, _Nm > &arr) noexcept
template<size_t _Int, typename _Tp , size_t _Nm>
constexpr _Tp && | utl::get (array< _Tp, _Nm > &&arr) noexcept
template<size_t _Int, typename _Tp , size_t _Nm>
constexpr const _Tp & | utl::get (const array< _Tp, _Nm > &arr) noexcept
Array comparisons.
template<typename _Tp , size_t _Nm>
bool | utl::operator== (const array< _Tp, _Nm > &lhs, const array< _Tp, _Nm > &rhs)
template<typename _Tp , size_t _Nm>
bool | utl::operator!= (const array< _Tp, _Nm > &lhs, const array< _Tp, _Nm > &rhs)
template<typename _Tp , size_t _Nm>
bool | utl::operator< (const array< _Tp, _Nm > &lhs, const array< _Tp, _Nm > &rhs)
template<typename _Tp , size_t _Nm>
bool | utl::operator> (const array< _Tp, _Nm > &lhs, const array< _Tp, _Nm > &rhs)
template<typename _Tp , size_t _Nm>
bool | utl::operator<= (const array< _Tp, _Nm > &lhs, const array< _Tp, _Nm > &rhs)
template<typename _Tp , size_t _Nm>
bool | utl::operator>= (const array< _Tp, _Nm > &lhs, const array< _Tp, _Nm > &rhs)